Bug 7606 - Невозможно сменить пароль пользователю, не имеющему пароля
: Невозможно сменить пароль пользователю, не имеющему пароля
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pam-config)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
: 7079
  Show dependency tree
 
Reported: 2005-08-08 16:35 by
Modified: 2006-03-16 18:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-08 16:35:45
В случае, если пароль пользователя отсутствует, то не проходит авторизация по
пустому паролю:
$ passwd
Changing password for test.
Enter current password: 
passwd: Authentication failure.

Отсутствует, это значит выглядит вот так:
# cat /etc/tcb/test/shadow
test::12747::::::

Аналогично не авторизуется openssh. Но здесь то как раз понятно и приятно. А
вот
passwd хотелось бы что бы работал.

Пустой пароль у пользователя будет в livecd.
------- Comment #1 From 2005-08-08 22:29:10 -------
*** Bug 7608 has been marked as a duplicate of this bug. ***
------- Comment #2 From 2005-08-09 03:22:26 -------
Эта проблема затрагивает как минимум 2 пакета, изменение одного из которых
(pam-config) может повлиять и на другие программы.  Надо подумать.
------- Comment #3 From 2005-08-24 14:26:16 -------
Есть прогресс ?

Ошибка очень актуальна для travelcd
------- Comment #4 From 2005-08-24 16:16:05 -------
Один пакет (pam0_mktemp) я скорректировал, см. pam0_mktemp-1.0.1-alt1.
Что касается файла /etc/pam.d/system-auth, то я пока не знаю, как лучше
разрешить менять пустой пароль выборочно для некоторого класса приложений.
------- Comment #5 From 2005-08-24 16:28:39 -------
а параметром из /etc/pam.d/passwd  нельзя ?
------- Comment #6 From 2005-08-24 17:27:26 -------
Нет, сейчас из /etc/pam.d/passwd выбирать нечего.

Кстати, неплохо бы вспомнить, почему у нас по умолчанию так сделано, чтобы
пользователь с пустым паролем не мог поменять пароль.
------- Comment #7 From 2005-08-24 17:51:21 -------
Не уверен, что это было сделано специально. Скорее так просто у тебя
получилось.
------- Comment #8 From 2005-08-25 22:32:36 -------
Заметка на память:

Не вижу ничего плохого в том, чтобы по умолчанию разрешить пользователю с пустым
паролем менять себе пароль.
Я обсудил этот вопрос с другими специалистами, никто негативных побочных
эффектов не предполагает.
------- Comment #9 From 2005-08-26 03:57:57 -------
Fixed in pam-config-1.2.1-alt1
------- Comment #10 From 2005-08-26 13:25:30 -------
А можно эти фиксы (и то, что еще ты считаешь стабильным из pam-*) закачать в
OUT
для 3.0-branch ?
------- Comment #11 From 2005-08-30 21:30:00 -------
Что является стабильным, покажет время.
Исходя из общих соображений, pam-config-1.2.1-alt1.src.rpm,
pam_mktemp-1.0.1-alt1.src.rpm и pam_passwdqc-1.0.3-alt1.src.rpm должны быть
стабильными, и работать как с pam-0.75, так и с pam-0.80.  А вот tcb-0.9.9 тесно
завязан на наш новый pam-0.80, это хозяйство лучше сперва утрясти.

P.S. Вообще-то это offtopic для данной баги. :)